Foreman - Bug #8597

Foreman 1.7.0 Issue with partition table names and "/" characters
12/05/2014 11:49 AM - Martin Zimmermann

Status: Closed
Priority: Normal
Assignee: Tom Caspy
Category: Web Interface
Target version: 1.8.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.7.0
Bugzilla link: 1304245 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/’2001
Description

I've created a new partition table named "AutoYast /dev/sda" by using the Foreman 1.7.0 GUI (menu item Hosts -> Partition Table ->
New Partition Table). The partition table was created successfully, however it was not possible to open/edit/delete the entry
afterwards ... instead the following error messages appeared:

"The page you were looking for doesn't exist. You may have mistyped the address or the page may ha
ve moved."

Error message /var/log/foreman/production.log:

Started GET "/ptables/AutoYaST%20/dev/sda/edit" for 10.0.2.2 at 2014-12-03 22:06:16 +0100
ActionController::RoutingError (No route matches [GET] "/ptables/AutoYaST%20/dev/sda/edit"):
/usr/share/gems/gems/passenger—-4.0.18/1ib/phusion_passenger/rack/thread_handler_extension.rb:77:
in “process_request'
/usr/share/gems/gems/passenger—-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:14
0:in "“accept_and_process_next_request'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:10
8:in "main_loop'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler.rb:441:in “block (3
levels) in start_threads'

Related issues:

Related to Foreman - Feature #4386: implement gem friendly_id to simply find ... Closed 02/19/2014
Related to Foreman - Bug #10545: Allow Dots in ptables url Duplicate 05/19/2015 05/19/2015
Has duplicate Foreman - Bug #8654 : Hardware model with '/ or ." in name cau... Duplicate 12/10/2014
Has duplicate Foreman - Bug #9663: URL Encoding not working when items have "... Duplicate 03/05/2015
Has duplicate Foreman - Bug #10104: Partition tables with a slash in their na... Duplicate 04/09/2015
Has duplicate Foreman - Bug #10991: Can't view or remove partition table cont... Duplicate 07/02/2015

Associated revisions

Revision 053¢c032d - 05/22/2015 04:23 AM - Tom Caspy

fixes #8597 - escape slashes for ptable URL parameters

Revision 8e30db87 - 06/15/2015 10:07 AM - Tom Caspy

fixes #8597 - escape slashes for ptable URL parameters

(cherry picked from commit 053c032dba5b52593c0235d96d74cdd1aae65721)

History

#1 - 12/05/2014 11:54 AM - Dominic Cleal
- Related to Feature #4386: implement gem friendly _id to simply find by id, name, label, etc added
#2 - 12/05/2014 11:54 AM - Dominic Cleal

- Category set to Web Interface

#3 - 12/07/2014 04:41 AM - Tom Caspy

- Assignee set to Tom Caspy

#4 - 12/07/2014 05:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2001 added
- Pull request deleted ()

#5 - 12/12/2014 08:04 AM - Dominic Cleal

- Has duplicate Bug #8654: Hardware model with /' or '." in name causes page does not exist' added

#6 - 03/09/2015 05:10 AM - Dominic Cleal
- Has duplicate Bug #9663: URL Encoding not working when items have "/" in their name added

#7 - 04/09/2015 08:57 AM - Dominic Cleal

- Has duplicate Bug #10104: Partition tables with a slash in their name cannot be opened added

#8 - 05/14/2015 05:18 AM - Diogo Ferreira

Error also occurs when using "." in the name:

> /var/log/foreman/production.log <

2015-05-14 10:16:32 [F]

ActionController::RoutingError (No route matches [GET] "/ptables/Kickstart%20Centos%207.1/edit"):
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in “process_request'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in “accept_and_process_next_request'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in “main_loop'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in “block (3 levels) in start_threads'

#9 - 05/19/2015 05:03 AM - Dominic Cleal
- Related to Bug #10545: Allow Dots in ptables url added

#10 - 05/22/2015 04:23 AM - Dominic Cleal

- translation missing: en.field_release set to 56

#11 - 05/22/2015 05:01 AM - Tom Caspy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 053c032dba5b52593c0235d96d74cdd1aae65721.

#12 - 07/03/2015 03:18 AM - Dominic Cleal

- Has duplicate Bug #10991: Can't view or remove partition table containing / in the name added

#13 - 03/06/2017 06:09 AM - Marek Hulan
- Bugzilla link set to 1304245

Files

foreman-debug-GIFD6.tar.xz 213 KB 12/05/2014 Martin Zimmermann
screenshot_1.PNG 44.4 KB 12/05/2014 Martin Zimmermann
screenshot_0.PNG 111 KB 12/05/2014 Martin Zimmermann
